## groovy.swing.impl
Class ClosureRenderer

    java.lang.Object
      groovy.swing.impl.ClosureRenderer

All Implemented Interfaces:
  ListCellRenderer, TableCellRenderer

    public class ClosureRenderer

extends Object
implements ListCellRenderer, TableCellRenderer

Author:
  Danno.Ferrin

Constructor Summary
`ClosureRenderer()`
`ClosureRenderer(Closure c)`

Method Summary
`List` `getChildren()`
`int` `getColumn()`
`JList` `getList()`
`Component` `getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus)`
`int` `getRow()`
`JTable` `getTable()`
`Component` `getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)`
`Closure` `getUpdate()`
`Object` `getValue()`
`boolean` `isFocused()`
`boolean` `isSelected()`
`void` `setUpdate(Closure update)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClosureRenderer

    public ClosureRenderer()

### ClosureRenderer

    public ClosureRenderer(Closure c)

Method Detail

### getListCellRendererComponent

    public Component getListCellRendererComponent(JList list,
                                                  Object value,
                                                  int index,
                                                  boolean isSelected,
                                                  boolean cellHasFocus)

  Specified by:
    `getListCellRendererComponent` in interface `ListCellRenderer`

### getTableCellRendererComponent

    public Component getTableCellRendererComponent(JTable table,
                                                   Object value,
                                                   boolean isSelected,
                                                   boolean hasFocus,
                                                   int row,
                                                   int column)

  Specified by:
    `getTableCellRendererComponent` in interface `TableCellRenderer`

### getUpdate

    public Closure getUpdate()

### setUpdate

    public void setUpdate(Closure update)

### getChildren

    public List getChildren()

### getList

    public JList getList()

### getTable

    public JTable getTable()

### getValue

    public Object getValue()

### isSelected

    public boolean isSelected()

### isFocused

    public boolean isFocused()

### getRow

    public int getRow()

### getColumn

    public int getColumn()

Copyright © 2003-2009 The Codehaus. All rights reserved.